/*
 * Copyright 2004-2010 Information & Software Engineering Group (188/1)
 *                     Institute of Software Technology and Interactive Systems
 *                     Vienna University of Technology, Austria
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.ifs.tuwien.ac.at/mir/index.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package at.tuwien.ifs.feature.extraction.audio.vis;
import javax.swing.BoxLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JSpinner;
import javax.swing.ListModel;
import javax.swing.SpinnerListModel;

/**
 * This code was edited or generated using CloudGarden's Jigloo
 * SWT/Swing GUI Builder, which is free for non-commercial
 * use. If Jigloo is being used commercially (ie, by a corporation,
 * company or business for any purpose whatever) then you
 * should purchase a license for each developer using Jigloo.
 * Please visit www.cloudgarden.com for details.
 * Use of Jigloo implies acceptance of these licensing terms.
 * A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
 * THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
 * LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
 */
/**
 * Copyright Vienna University of Technology
 * 
 * @author Thomas Lidy
 * @version $Id: SimilarityRetrievalPanel.java 155 2010-06-16 15:45:39Z frank $
 */
public class SimilarityRetrievalPanel extends JPanel {
    private static final long serialVersionUID = 1L;
    private JLabel lblHead;
    private JList listResult;
    private JLabel labelRetr;
    private JButton btnPlay;
    private JLabel lblRetr2;
    private JSpinner spinnerNumResults;
    private JPanel panelResultProcessing;
    private JPanel panelQueryOpt;
    private JList listQuery;

    public SimilarityRetrievalPanel() {
        super();
        initGUI();
    }

    private void initGUI() {

        BoxLayout thisLayout = new BoxLayout(this, javax.swing.BoxLayout.Y_AXIS);
        this.setLayout(thisLayout);

        lblHead = new JLabel();
        this.add(lblHead);
        lblHead.setText("Select query song:");

        ListModel listQueryModel = new DefaultComboBoxModel(new String[]{"Item One", "Item Two"});
        listQuery = new JList();
        this.add(listQuery);
        listQuery.setModel(listQueryModel);

        panelQueryOpt = new JPanel();
        this.add(panelQueryOpt);
        panelQueryOpt.setPreferredSize(new java.awt.Dimension(382, 69));

        labelRetr = new JLabel();
        panelQueryOpt.add(labelRetr);
        labelRetr.setText("Retrieve the ");

        SpinnerListModel spinnerNumResultsModel = new SpinnerListModel();
        spinnerNumResults = new JSpinner();
        panelQueryOpt.add(spinnerNumResults);
        spinnerNumResults.setModel(spinnerNumResultsModel);

        lblRetr2 = new JLabel();
        panelQueryOpt.add(lblRetr2);
        lblRetr2.setText("most similar songs.");

        ListModel listResultModel = new DefaultComboBoxModel(new String[]{"Item One", "Item Two"});
        listResult = new JList();
        this.add(listResult);
        listResult.setModel(listResultModel);

        panelResultProcessing = new JPanel();
        this.add(panelResultProcessing);

        btnPlay = new JButton();
        panelResultProcessing.add(btnPlay);
        btnPlay.setText("Play result list");

        this.setPreferredSize(new java.awt.Dimension(382, 256));

    }

}
